#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-Mako
Version		:	1.3.6
Release		:	17.2.0.rel%{?dist}
Summary		:	hyperfast and lightweight templating for the Python platform
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/Mako/#files

Source0		:	%{lname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	%(basename %{__python})-MarkupSafe
BuildRequires	:	python-packaging
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance. Mako's syntax and API borrows from the best ideas of many
others, including Django templates, Cheetah, Myghty, and Genshi.
Conceptually, Mako is an embedded Python (i.e. Python Server Page)
language, which refines the familiar ideas of componentized layout and
inheritance to produce one of the most straightforward and flexible
models available, while also maintaining close ties to Python calling
and scoping semantics.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{lname}-render
%{python3_sitelib}/%{lname}/*.py
%{python3_sitelib}/%{lname}/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/ext/*.py
%{python3_sitelib}/%{lname}/ext/__pycache__/*.pyc
%{python3_sitelib}/%{lname}/testing/*.py
%{python3_sitelib}/%{lname}/testing/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/
#
#=============================================================================
%prep
%setup -q -n %{lname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
